<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>Globals (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../the unknown package/package-summary.html">Namespace</a></li>
<li class="active">Global</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../the unknown package/package-globals.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_global">Global</a>
Detail: <a href="#detail_global">Global</a>
</div>
<hr>

<h1>Globals</h1>

<hr>

<table id="summary_global" class="title">
<tr><th colspan="2" class="title">Global Summary</th></tr>
<tr>
<td class="type">final  mixed</td>
<td class="description"><p class="name"><a href="#EXEC_VERSION">EXEC_VERSION</a></p></td>
</tr>
<tr>
<td class="type">final  bool</td>
<td class="description"><p class="name"><a href="#GLOB_ONLYDIR">GLOB_ONLYDIR</a></p></td>
</tr>
<tr>
<td class="type">final  str</td>
<td class="description"><p class="name"><a href="#PHP">PHP</a></p></td>
</tr>
<tr>
<td class="type">final  mixed</td>
<td class="description"><p class="name"><a href="#STDERR">STDERR</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_ABSTRACT">T_ABSTRACT</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_CONST">T_CONST</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_DOC_COMMENT">T_DOC_COMMENT</a></p><p class="description">Undefined internal constants so we don't throw undefined constant errors later on</p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_FINAL">T_FINAL</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_IMPLEMENTS">T_IMPLEMENTS</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_INTERFACE">T_INTERFACE</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_ML_COMMENT">T_ML_COMMENT</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_NAMESPACE">T_NAMESPACE</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_NS_C">T_NS_C</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_NS_SEPARATOR">T_NS_SEPARATOR</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_PRIVATE">T_PRIVATE</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_PROTECTED">T_PROTECTED</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_PUBLIC">T_PUBLIC</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_THROW">T_THROW</a></p></td>
</tr>
<tr>
<td class="type">final  int</td>
<td class="description"><p class="name"><a href="#T_USE">T_USE</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#_ENV">_ENV</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#argv">argv</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#casedir">casedir</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#fixes">fixes</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#formatters">formatters</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#parser">parser</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#phpdoc">phpdoc</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#reporter">reporter</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#rootDoc">rootDoc</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#standardDoclet">standardDoclet</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#test">test</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#testdir">testdir</a></p><p class="description">Start the testsuite here.
</p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#versionInfo">versionInfo</a></p></td>
</tr>
</table>

<h2 id="detail_global">Global Detail</h2>
<a href="../source/tests/test.php.html#line17" class="location">tests/test.php at line 17</a>

<h3 id="EXEC_VERSION">EXEC_VERSION</h3>
<code class="signature">public final  mixed <strong>EXEC_VERSION</strong> = $versionInfo[1]</code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line37" class="location">classes/phpDoctor.php at line 37</a>

<h3 id="GLOB_ONLYDIR">GLOB_ONLYDIR</h3>
<code class="signature">public final  bool <strong>GLOB_ONLYDIR</strong> = FALSE</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line12" class="location">tests/test.php at line 12</a>

<h3 id="PHP">PHP</h3>
<code class="signature">public final  str <strong>PHP</strong> = 'php'</code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line422" class="location">classes/phpDoctor.php at line 422</a>

<h3 id="STDERR">STDERR</h3>
<code class="signature">public final  mixed <strong>STDERR</strong> = fopen(&quot;php://stderr&quot;, &quot;wb&quot;</code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line27" class="location">classes/phpDoctor.php at line 27</a>

<h3 id="T_ABSTRACT">T_ABSTRACT</h3>
<code class="signature">public final  int <strong>T_ABSTRACT</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line31" class="location">classes/phpDoctor.php at line 31</a>

<h3 id="T_CONST">T_CONST</h3>
<code class="signature">public final  int <strong>T_CONST</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line22" class="location">classes/phpDoctor.php at line 22</a>

<h3 id="T_DOC_COMMENT">T_DOC_COMMENT</h3>
<code class="signature">public final  int <strong>T_DOC_COMMENT</strong></code>
<div class="details">
<p>Undefined internal constants so we don't throw undefined constant errors later on</p>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line28" class="location">classes/phpDoctor.php at line 28</a>

<h3 id="T_FINAL">T_FINAL</h3>
<code class="signature">public final  int <strong>T_FINAL</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line30" class="location">classes/phpDoctor.php at line 30</a>

<h3 id="T_IMPLEMENTS">T_IMPLEMENTS</h3>
<code class="signature">public final  int <strong>T_IMPLEMENTS</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line29" class="location">classes/phpDoctor.php at line 29</a>

<h3 id="T_INTERFACE">T_INTERFACE</h3>
<code class="signature">public final  int <strong>T_INTERFACE</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line23" class="location">classes/phpDoctor.php at line 23</a>

<h3 id="T_ML_COMMENT">T_ML_COMMENT</h3>
<code class="signature">public final  int <strong>T_ML_COMMENT</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line33" class="location">classes/phpDoctor.php at line 33</a>

<h3 id="T_NAMESPACE">T_NAMESPACE</h3>
<code class="signature">public final  int <strong>T_NAMESPACE</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line34" class="location">classes/phpDoctor.php at line 34</a>

<h3 id="T_NS_C">T_NS_C</h3>
<code class="signature">public final  int <strong>T_NS_C</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line35" class="location">classes/phpDoctor.php at line 35</a>

<h3 id="T_NS_SEPARATOR">T_NS_SEPARATOR</h3>
<code class="signature">public final  int <strong>T_NS_SEPARATOR</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line24" class="location">classes/phpDoctor.php at line 24</a>

<h3 id="T_PRIVATE">T_PRIVATE</h3>
<code class="signature">public final  int <strong>T_PRIVATE</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line25" class="location">classes/phpDoctor.php at line 25</a>

<h3 id="T_PROTECTED">T_PROTECTED</h3>
<code class="signature">public final  int <strong>T_PROTECTED</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line26" class="location">classes/phpDoctor.php at line 26</a>

<h3 id="T_PUBLIC">T_PUBLIC</h3>
<code class="signature">public final  int <strong>T_PUBLIC</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line32" class="location">classes/phpDoctor.php at line 32</a>

<h3 id="T_THROW">T_THROW</h3>
<code class="signature">public final  int <strong>T_THROW</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line36" class="location">classes/phpDoctor.php at line 36</a>

<h3 id="T_USE">T_USE</h3>
<code class="signature">public final  int <strong>T_USE</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/phpdoc.php.html#line38" class="location">phpdoc.php at line 38</a>

<h3 id="_ENV">_ENV</h3>
<code class="signature">public  mixed <strong>_ENV</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/phpdoc.php.html#line25" class="location">phpdoc.php at line 25</a>

<h3 id="argv">argv</h3>
<code class="signature">public  mixed <strong>argv</strong></code>
<div class="details">
</div>

<hr>

<a href="../source/tests/run.php.html#line15" class="location">tests/run.php at line 15</a>

<h3 id="casedir">casedir</h3>
<code class="signature">public  mixed <strong>casedir</strong> = $testdir.'cases'.DIRECTORY_SEPARATOR</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line39" class="location">tests/test.php at line 39</a>

<h3 id="fixes">fixes</h3>
<code class="signature">public  mixed <strong>fixes</strong> = new GroupTest('Bugfixes'</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line45" class="location">tests/test.php at line 45</a>

<h3 id="formatters">formatters</h3>
<code class="signature">public  mixed <strong>formatters</strong> = new GroupTest('Formatters'</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line26" class="location">tests/test.php at line 26</a>

<h3 id="parser">parser</h3>
<code class="signature">public  mixed <strong>parser</strong> = new GroupTest('Parser'</code>
<div class="details">
</div>

<hr>

<a href="../source/phpdoc.php.html#line48" class="location">phpdoc.php at line 48</a>

<h3 id="phpdoc">phpdoc</h3>
<code class="signature">public  mixed <strong>phpdoc</strong> = &amp; new phpDoctor($argv[1]</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line20" class="location">tests/test.php at line 20</a>

<h3 id="reporter">reporter</h3>
<code class="signature">public  mixed <strong>reporter</strong> = new TextReporter</code>
<div class="details">
</div>

<hr>

<a href="../source/phpdoc.php.html#line50" class="location">phpdoc.php at line 50</a>

<h3 id="rootDoc">rootDoc</h3>
<code class="signature">public  mixed <strong>rootDoc</strong> = &amp; $phpdoc-&gt;parse</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line33" class="location">tests/test.php at line 33</a>

<h3 id="standardDoclet">standardDoclet</h3>
<code class="signature">public  mixed <strong>standardDoclet</strong> = new GroupTest('Standard Doclet'</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/test.php.html#line54" class="location">tests/test.php at line 54</a>

<h3 id="test">test</h3>
<code class="signature">public  mixed <strong>test</strong> = new GroupTest('PHPDoctor'</code>
<div class="details">
</div>

<hr>

<a href="../source/tests/run.php.html#line14" class="location">tests/run.php at line 14</a>

<h3 id="testdir">testdir</h3>
<code class="signature">public  mixed <strong>testdir</strong> = dirname(__FILE__</code>
<div class="details">
<p>Start the testsuite here.</p><p>Will adjust error reporting. For clean results, this has to be done outside of the file where the testsuite
is actually built (test.php).</p><p>Makes sure the test dirs are in the include path.</p>
</div>

<hr>

<a href="../source/tests/test.php.html#line15" class="location">tests/test.php at line 15</a>

<h3 id="versionInfo">versionInfo</h3>
<code class="signature">public  mixed <strong>versionInfo</strong></code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../the unknown package/package-summary.html">Namespace</a></li>
<li class="active">Global</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../the unknown package/package-globals.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_global">Global</a>
Detail: <a href="#detail_global">Global</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>